Bug 464051 - (projectM-jack) Package Review Request for projectM-jack
Package Review Request for projectM-jack
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
:
Depends On: libprojectM-qt
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-25 23:30 EDT by Jameson
Modified: 2008-12-02 20:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-19 09:51:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
oget.fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jameson 2008-09-25 23:30:06 EDT
SPEC URL:  http://www.vtscrew.com/projectM-jack.spec
SRPM URL:  http://www.vtscrew.com/projectM-jack-1.2.0-1.fc9.src.rpm

Description:
This package allows the use of the projectM visualization plugin through any
JACK compatible applications.

No errors or warnings from rpmlint.
Comment 1 Jameson 2008-11-06 01:49:02 EST
I have a new SPEC in original location, and a new SRPM:   http://www.vtscrew.com/projectM-jack-1.2.0-2.fc9.src.rpm
Comment 2 Jameson 2008-11-06 23:48:51 EST
I have a new SPEC in original location, and a new SRPM:  
http://www.vtscrew.com/projectM-jack-1.2.0-3.fc9.src.rpm
Comment 3 Orcan Ogetbil 2008-11-07 23:20:44 EST
This one is almost perfect. There are few little things to go through.

* URL has a typo

* Same subtleties apply for the license of this package as for the projectM-pulseaudio. "GPLv2+ and MIT" is fine but it would be good if we get a confirmation from upstream.

* I don't see any .la files built. You should remove that line.

* For the desktop file, please add
   Encoding=UTF-8
   Terminal=false
You use the same icon in the desktop file that you use for projectM-pulseaudio. You can require projectM-pulseaudio on this package, but that's not a nice solution. I think the best solution is renaming the icon file for this package.
Comment 4 Jameson 2008-11-11 20:29:24 EST
I have a new SPEC in original location, and a new SRPM:  
http://www.vtscrew.com/projectM-jack-1.2.0-4.fc9.src.rpm

I double checked the URL, and it worked for me.  Am I still missing something in it?

I'm still waiting to hear from upstream about the license issues.  I'm afraid I've scared them off with it, though.

Sorry, I forgot that la files line.  I thought I got rid of all of them.

The desktop file is updated.  I didn't think I would need to require the pulseaudio package since the icon is actually installed with libprojectM-qt.
Comment 5 Jameson 2008-11-11 20:39:48 EST
Oh URL, not SOURCE.  Gotcha
Comment 6 Orcan Ogetbil 2008-11-11 22:23:02 EST
My bad, I thought the icon belongs to projectM-pulseaudio. Then there is no problem with the icon.

I will check this package probably tomorrow morning (EST).
Comment 7 Orcan Ogetbil 2008-11-12 11:16:48 EST
All good!

------------------------------------------------
This package (projectM-jack) is APPROVED by oget
------------------------------------------------

Jameson, if you have time, could you review my package (Bug# 468765)?
Comment 8 Jameson 2008-11-12 19:25:40 EST
New Package CVS Request
=======================
Package Name: projectM-jack
Short Description: projectM visualizations for JACK audio
Owners: imntreal
Branches: F-9 F-10
InitialCC: imntreal
Comment 9 Jameson 2008-11-12 19:26:16 EST
> Jameson, if you have time, could you review my package (Bug# 468765)?

I'll start looking at it this week if no one else picks it up.  That's actually one that I've been interested in.
Comment 10 Kevin Fenzi 2008-11-14 00:44:02 EST
cvs done.
Comment 11 Fedora Update System 2008-11-15 15:37:36 EST
projectM-jack-1.2.0-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/projectM-jack-1.2.0-4.fc9
Comment 12 Fedora Update System 2008-11-19 09:51:37 EST
projectM-jack-1.2.0-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2008-11-30 00:52:35 EST
projectM-jack-1.2.0-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/projectM-jack-1.2.0-4.fc10
Comment 14 Fedora Update System 2008-12-02 20:10:26 EST
projectM-jack-1.2.0-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.